#index:
#    path: /
#    controller: App\Controller\DefaultController::index

# Home Page
oc_platform_home:
    path: /platform/{page<\d*>?1}
    controller: App\Controller\AdvertController::index
    # defaults:
        # page: 1
    # requirements:
        # page: \d*

# Advert Visualization Page
oc_platform_view:
    path: /platform/advert/{id<\d+>?1}
    defaults:
        _controller: App\Controller\AdvertController::view
        # id: 1
    # requirements:
        # page: \d+

# Add Advert
oc_platform_add:
    path: /platform/add
    defaults:
        _controller: App\Controller\AdvertController::add

# Edit Advert
oc_platform_edit:
    path: /platform/edit/{id<\d+>}
    defaults:
        _controller: App\Controller\AdvertController::edit
    # requirements:
        # page: \d+

# Delete Advert
oc_platform_delete:
    path: /platform/edit/{id<\d+>}
    defaults:
        _controller: App\Controller\AdvertController::delete
    # requirements:
        # page: \d+
